{
	"processors": [
		{
			"input_block": "minecraft:moss_carpet",
			"output_block": "minecraft:air",
			"processor_type": "repurposed_structures:noise_replace_with_properties_processor",
			"threshold": 0.5,
			"xz_scale": 0.20000000298023224,
			"y_scale": 0.20000000298023224
		},
		{
			"pillar_trigger_and_replacements": [
				{
					"replacement": {
						"Name": "minecraft:dark_oak_planks"
					},
					"trigger": {
						"Name": "minecraft:red_stained_glass"
					}
				}
			],
			"processor_type": "repurposed_structures:pillar_processor"
		},
		{
			"processor_type": "repurposed_structures:waterlogging_fix_processor"
		},
		{
			"blocks_to_tick": [
				"minecraft:daylight_detector"
			],
			"processor_type": "repurposed_structures:tick_blocks_processor"
		}
	]
}